//import './jquery-3.6.1.min'; //to be deprecated - does not build properly with npm run build
// jquery is loaded from cdn in admin component footer

import './backslash4';
import './components/blocks/editor';
import './components/generic/geneditor';
import './components/files/files';
import './components/tags/tags';
import './components/tag-select/tag-select';
import './components/media/dropzone';
import './components/media/popup-bs40';
import './components/google/googlemaps';
import './components/google/latitude_lookup';
import './libs/nicedit-cc/nicEditcc.js';

import Alpine from 'alpinejs';
import persist from '@alpinejs/persist';
import Inputs from './components/inputs/inputs';
import FormCount from './components/form-count/form-count';
import Header from './components/header/header';
import Navigation from './components/navigation/navigation';
import Modal from './components/modal/modal';

document.addEventListener('DOMContentLoaded', () => {
    window.Alpine = Alpine
    Alpine.plugin(persist)
    Alpine.start()
    FormCount();
    Header();
    Inputs();
    Modal();
    Navigation();
});